#ifndef _polica_h_
#define _polica_h_
#include "greske.h"
#include "promniz.h"
#include "delo.h"
#include "knjiga.h"
#include "disk.h"
#include "komplet.h"

class Polica {
	int rBr;
	double duz;
	PromNiz<Delo *, 1> dela;
	Polica(const Polica&) {}	
	Polica& operator = (const Polica&) {}
public:	
	Polica(const int& rBr, const double& duz) :
		   rBr(rBr),
		   duz(duz),
		   dela(5) {}

	double ukupnaDebljina() const;
	Polica& operator += (Delo* d);
	PromNiz<Delo *, 1> delaAutora(const char* autor);
	Delo* operator () (const int& i);
	void prazni();
	friend ostream& operator << (ostream& it, Polica& p);
};
#endif
